from typing import List

def deduce_t(original_terms: List[int], k: int) -> None:
    n_max = max(original_terms)
    for n in original_terms:
        npk = n + k
        n2pk = 2 * n + k
        if npk <= n_max:
            print(f"T({n2pk}) = 2T({npk})T({n}) - T({k})")


def main():
    n_max = 5
    original_terms = range(n_max+1)
    deduce_t(original_terms, 0)
    deduce_t(original_terms, 1)


if __name__ == "__main__":
    main()
